C

Requirements

Supported Target HW Operating Systems and HW Requirements

Qt 3D Studio 1.0 Editor

The editor for desktop has been tested to work with OpenGL 4.1 and later. If you experience any issues or graphical glitches, please update your graphics driver to the latest version. We have found that this resolves most of the problems immediately.

Tested operating systems for the editor:

  • Windows 10
  • macOS High Sierra (10.13)
  • macOS Sierra (10.12)
  • macOS El Capitan (10.11)

Qt 3D Studio 1.0 Runtime

The QML runtime component requires OpenGL ES 3.1 to work reliably. While there was some work done to enable at least partial support for OpenGL ES 2, we do not recommend using it at this point due to its maturity.

Tested operating systems for the runtime:

  • Windows 10 + MSVC 2015
  • Windows 7 + mingw32
  • macOS Sierra (10.12)
  • macOS El Capitan (10.11)
  • Android 8.0 (ARMv7)
  • QNX 7.0 (x64)
  • GHS Integrity

Tested target devices:

  • Google Pixel C with Android 8.0
  • NVIDIA Jetson TX1 with Boot2Qt
  • Intel NUC (NUC6CAY) with Boot2Qt
  • NVIDIA drive CX1

Available under certain Qt licenses.
Find out more.